/*
CVE Services API

Testing OrganizationApiService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package cveapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "gitlab.com/xen-project/misc/go-cveapi"
)

func Test_cveapi_OrganizationApiService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test OrganizationApiService OrgAll", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.OrganizationApi.OrgAll(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test OrganizationApiService OrgCreateSingle", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.OrganizationApi.OrgCreateSingle(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test OrganizationApiService OrgIdQuota", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var shortname string

		resp, httpRes, err := apiClient.OrganizationApi.OrgIdQuota(context.Background(), shortname).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test OrganizationApiService OrgSingle", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var identifier string

		resp, httpRes, err := apiClient.OrganizationApi.OrgSingle(context.Background(), identifier).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test OrganizationApiService OrgUpdateSingle", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var shortname string

		resp, httpRes, err := apiClient.OrganizationApi.OrgUpdateSingle(context.Background(), shortname).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
